KCONFIG_COMPILER " 1 "2006-06-01" "K-skrivbordsmiljön" "Programmeringsverktyg"

NAME
kconfig_compiler - KDE:s konfigurationskompilator

SYNOPSIS

kconfig_compiler [Qt-väljare] [KDE-väljare] [väljare] fil.kcfg fil.kcfgc

BESKRIVNING

kconfig_compiler skapar C++ källkod från två filer. Den första filen (.kcfg) innehåller information om inställningsalternativ och den andra filen (.kcfgc) anger alternativ för kodgenerering.

Den skapade källkoden innehåller en klass baserad på KConfigSkeleton som tillhandahåller ett programmeringsgränssnitt för att komma åt programmets inställningsdata.

VäLJARE

Argument:

fil.kcfg
    XML-inmatningsfil för kcfg

fil.kcfgc
    Inställningsfil för kodgenerering

Väljare:

-d, --directory <katalog>
    Katalog att skapa filer i [.]

Allmänna väljare:

--help
    Visa hjälp om väljare

--help-qt
    Visa Qt-specifika väljare

--help-kde
    Visa KDE-specifika väljare

--help-all
    Visa alla väljare

--author
    Visa information om upphovsman

-v, --version
    Visa versionsinformation

--license
    Visa licensinformation

KDE-väljare:

--caption <titel>
    Använd 'titel' som namn i namnlisten

--icon <ikon>
    Använd 'ikon' som programmets ikon

--miniicon <ikon>
    Använd 'ikon' som programmets ikon

--config <filnamn>
    Använd alternativ inställningsfil

--dcopserver <server>
    Använd DCOP-servern angiven av 'server'

--nocrashhandler
    Inaktivera kraschhantering för att få minnesdumpar

--waitforwm
    Väntar på en WM_NET-kompatibel fönsterhanterare

--style <stil>
    Ställer in programmets grafiska gränssnittsstil

--geometry <geometri>
    Ställer in klientgeometrin för den grafiska huvudkomponenten. Se man X för argumentformatet

Qt-väljare:

--display <skärmnamn>
    Använd skärmen "skärmnamn" på X-servern

--session <sessions-id>
    Återställ programmet för givet "sessionsid"

--cmap
    Gör att programmet installerar en privat färgavbildning på en 8-bitarsskärm

--ncols <antal>
    Begränsar antal färger som används i färgkuben på en 8-bitarsskärm, om programmet använder färgspecifikationen QApplication::ManyColor

--nograb
    Talar om för Qt att aldrig låsa musen eller tangentbordet

--sync
    Byter till synkront läge för felsökning

--fn, --font <teckensnitt>
    Definierar programmets teckensnitt

--bg, --background <färg>
    Ställer in förvald bakgrundsfärg och en programpalett (ljusa och mörka nyanser beräknas)

--fg, --foreground <färg>
    Ställer in förvald förgrundsfärg

--btn, --button <färg>
    Ställer in förvald knappfärg

--name <namn>
    Ställer in programmets namn

--title <titel>
    Ställer in programmets titel (rubrik)

--visual TrueColor
    Tvingar programmet att använda TrueColor på en 8-bitarsskärm

--inputstyle <inmatningsstil>
    Väljer inmatningsstilen XIM (X-inmatningsmetod). Möjliga värden är onthespot, overthespot, offthespot och root

--im <XIM-server>
    Ställer in XIM-server

--noxim
    Inaktivera XIM

--reverse
    Spegelvänder hela layouten av grafiska komponenter

SE OCKSå

http://developer.kde.org
    Webbplatsen KDE:s utvecklingshörna

FEL

Använd bugs.kde.org: http://bugs.kde.org för att rapportera fel, skicka inte e-post direkt till upphovsmännen.

AUTHORS
Cornelius Schumacher <schumacher@kde.org>, Waldo Bastian <bastian@kde.org>, Zack Rusin <zack@kde.org>.